
#include <pw/core/vector.hpp>
#include <pw/core/serialize.hpp>
#include <pw/core/matrix_transform.hpp>

#include <iostream>

int main(int argc,char **argv) {

    auto perspective_mat = pw::matrix_transform<float>::perspective_projection(45.f,1.3f,10,100);
    auto ortho_mat = pw::matrix_transform<float>::orthographic_frustum(-1,1,1,-1,10,100);
    auto lookat_mat = pw::matrix_transform<float>::look_at(pw::vector3(0,0,5),pw::vector3(0,0,0),pw::vector3(0,1,0));


    std::cout << pw::serialize::matrix(perspective_mat) << std::endl;
    std::cout << pw::serialize::matrix(ortho_mat) << std::endl;
    std::cout << pw::serialize::matrix(lookat_mat) << std::endl;
}
